Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
OpenSim Release 0.9.0.0 ist da
#1
Nun also doch. Die 0.9.0.0 ist zum Download auf der OpenSimulator-Webseite als offizielles Release freigegeben:
http://opensimulator.org/wiki/Main_Page
[-] The following 3 users say Thank You to Dorena Verne for this post:
  • Bogus Curry, Lupopa Grau, Mareta Dagostino
Zitieren
#2
Mensch daran hab ich ehrlich gesagt nicht mehr geglaubt, das die dieses Jahr noch raus kommt wird. Aber wie immer keine Changelog, was eigentlich usos ist ..

Wäre eigentlich intressant zu wissen, von welchen Datum die version ist. Rausgekommen bzw. hochgeladen wurde diese am 15.08 also gestern, aber ob die auch von diesem Datum die Version ist, das ist ne andere Frage.
Tschöö

Bogus | PinguinsReisen.de
[-] The following 1 user says Thank You to Bogus Curry for this post:
  • Lupopa Grau
Zitieren
#3
Hallo,

ich hab das heute auch erfahren, dass die 0.9.0.0 verfügbar ist.

Changelog, doch gibt es.. bzw. eine Whats New. Guckst Du hier: http://opensimulator.org/wiki/0.9.0.0_Release

Meine Frage diesbezüglich: Stellt Ihr um auf die neue? Oder wartet Ihr noch mit dem Einspielen der neuen OpenSim Version?
Immerhin wird in der Whats New geschrieben, dass man nicht die alten INI's nutzen soll, sondern die mitgelieferten. So ist eine Menge an ini's editieren angesagt "vergleichen <==> ändern".

Würde mich echt interessieren wie Ihr das umsetzt oder ob Ihr umsteigt auf die neue Version.

Grüße Lupo
... Red' einer schlecht von Dir, so sei es ihm erlaubt, doch Du, Du lebe so, das es ihm keiner glaubt...
[-] The following 1 user says Thank You to Lupopa Grau for this post:
  • Bogus Curry
Zitieren
#4
Ich hab die Version mal mit der aktuellen Mono 5.2x compiliert, da kamen keine Errors, aber einige Warnings. Die WArnings war nicht schwerwiegend, waren meist solche wo gesagt wurde das eine Variable existiert, aber wohl in C# nicht mehr benutzt würde. Wenn man diese Warnings fixen würde, denke würde das kompilieren um einiges schneller gehen. Das ganze dauert fast 2 min.
Tschöö

Bogus | PinguinsReisen.de
[-] The following 1 user says Thank You to Bogus Curry for this post:
  • Lupopa Grau
Zitieren
#5
@Bogus, 

das Compilieren sagt man ja sollte auf dem Rechner compiliert werden auf dem sie dann auch läuft, ist das richtig? Habe irgend wo mal gelesen, das wenn man unter Linux Programme compiliert und auch auf dem selbigen laufen lässt, dass sie dann schneller oder besser laufen als eine schon fertig compilierte Version zu nutzen? 

Ich überlege nämlich schon, die neue selbst zu compilieren und bei uns laufen zu lassen, hm?!?

Grüße Lupopa
... Red' einer schlecht von Dir, so sei es ihm erlaubt, doch Du, Du lebe so, das es ihm keiner glaubt...
Zitieren
#6
@Lupopa: Da bin ich ehrlich gesagt überfragt, bin auch nicht so der grosse OpenSim Tüfler vor dem herrn *gg Ich bin da eher dem Whitecore-Sim zugewandt, die Dist hat aber leider kein HG. daher wird diese bisher links liegen gelassen.
Tschöö

Bogus | PinguinsReisen.de
Zitieren
#7
Ich compiliere eigendlich immer, wenn ich eine neue Version für das Grid einsetzen will.
Muss vieleicht nicht, aber hatte es auch tatsächlich schon, das eine fertig compilierte heruntergeladene binäre OpenSim fehlermeldungen anzeigte, die nach dem selber compilieren nicht mehr auftauchten.
Fragt michbitte nicht welche das waren,..habe ich doch glatt vergessen. Big Grin

Ich werde noch nicht auf das neue release umsteigen, zumal wir in DW ja gerade erst die neuste Arriba eingespielt haben. Never touch a running System. Wink
[-] The following 3 users say Thank You to Dorena Verne for this post:
  • Anachron, Bogus Curry, Lupopa Grau
Zitieren
#8
@Bogus: Zwei Minuten Compilierzeit ist normal für OpenSim, die Warnungen kosten keine messbare Zeit. Schön wäre es natürlich trotzdem sauberen Code abzuliefern, und in Firmen wird das meistens auch durch eine Programmierrichtlinie gefordert. Ist halt OpenSim.

@Lupopa: Wenn du ein 0.9'er Grid baust, dann finde ich solltest du besser die Releases nehmen als die Entwicklerstände. Die Releases wurden etwas getestet, die Entwicklerstände werden mehr oder weniger dem OSgrid vor die Füße geworfen mit der Bitte (in Twitter) das zu testen und Rückmeldungen zu geben. Wie viele Leute wohl im Zweiwochenturnus systematisch testen???
Wenn du ein 0.8'er Grid baust, empfehle ich die 0.8.3 vom OSgrid, die 0.8.3dev Metro-Edition oder die Arriba. Das sind gut abgehangene, stabile Versionen. Die 0.8.2.1 kann wohl unter Windows noch betrieben werden, unter aktuellen Linux-Versionen läuft die nicht mehr. Von noch älteren Versionen rate ich ab, denn solltest du mal auf 0.9 wechseln, musst du vorher sowieso mindestens auf 0.8.2.1.

@Lupopa: Selber compilieren ist bei OpenSim normalerweise nicht nötig. Es handelt sich ja bei C# um "managed code", da kommt beim Compilieren systemunabhängiger Zwischencode raus. Erst Mono bzw. die .NET Runtime Engine macht dann den Maschinencode draus. Trotzdem kann natürlich mal ein Binärpaket kaputt sein.

@all: Ich bleibe vorerst bei der Arriba. Vielleicht ab September/Oktober werde ich ein wenig mit der 0.9 testen, aber nur mit kopierten Daten auf Testumgebungen. Erst wenn ich Vertrauen darin bekomme, dass die 0.9 weder OARs noch IARs beschädigt, wechsele ich auf die 0.9. Vielleicht.
Hyperweb.eu => Server-Tutorial für Linux mit OpenSim, OpenSim Arriba compiliert und für Metropolis konfiguriert!
[-] The following 3 users say Thank You to Mareta Dagostino for this post:
  • Anachron, Bogus Curry, Lupopa Grau
Zitieren
#9
Mareta, 

danke für Deine Nachricht. Ich hab gestern die 0.9.0.0 versucht und bin an Mono gescheitert, jede Menge Fehlermeldungen. Mono 4 und Mono 5 beide arbeiteten nicht und stürzten beim Start der mono OpenSim.exe ab. unter Linux.
dann bin ich wieder zurück zu 8.2.1 gewechselt und die lief dann auch weiter...

Mittlerweile ist grid.out-world.de tot, hab es gepostet... Vielleicht werde ich mir in Kürze noch mal ein OpenSim nehmen und selbst was für meinem Sohn und mich aufbauen (steht aber noch in den Sternen), da das jOpenSim nur OpenSim unterstützt, werde ich erst mal von der Arriba und Diva bzw. WiFi absehen.

Liebe Grüße 

Lupo
... Red' einer schlecht von Dir, so sei es ihm erlaubt, doch Du, Du lebe so, das es ihm keiner glaubt...
Zitieren
#10
Hallo Lupopa ;D

Hmm .. mit welcher Mono Version haste denn genau den Code übersetzt ? Ich hab kurz nach der Veröffentlichung dasgleiche gemacht, da kam nur Warnungen, wie immer halt.

Hast du Mono-Dev installiert oder die - complete ?
Tschöö

Bogus | PinguinsReisen.de
[-] The following 1 user says Thank You to Bogus Curry for this post:
  • Lupopa Grau
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Server-Tutorial: OpenSuse Linux und OpenSim Mareta Dagostino 24 9.985 07.10.2017, 23:02
Letzter Beitrag: Mareta Dagostino
  OpenSim auf V-Server installieren Rivi 48 2.018 01.10.2017, 11:16
Letzter Beitrag: Rivi
  [OPENSIM] Parzellen erstellen Lupopa Grau 11 963 16.08.2017, 10:49
Letzter Beitrag: Leora Jacobus
  Opensim zeigt bei uns am Avatar IP statt den Gridnamen Lupopa Grau 9 971 10.08.2017, 15:07
Letzter Beitrag: Lupopa Grau
  Opensim 0.9 Standalone Karten Bilder nicht da!!! bengl1984 15 2.628 23.06.2017, 16:34
Letzter Beitrag: Dorena Verne

Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste